#!/bin/sh
ls *.c | awk '
	BEGIN {
		EXCLUDE["_init.c"] = 1
	}

	($1 in EXCLUDE) { next }
	{
		c="virt/" $1
		o="virt/" $1
		sub(".c$", ".o", o)
		all = all " " o
		rules = rules o ":\n"
		rules = rules "\t$(CC) -c $(CFLAGS) $< -o " o "\n\n"
	}
	
	END {
		print "OBJ_VPS = " all
		print ""
		print rules
	}

' > Makefile.inc
